<!-- This section for input component here -->
<mat-form-field>
  <input matInput [(ngModel)]="searchText" placeholder="Search Country.." autocomplete="off">
</mat-form-field>
<!-- This section for country list component and filter here -->
<app-list-item
  *ngFor="let country of (countries$ | async) | filter : searchText"
  [country]="country">
</app-list-item>
<!-- This section for error or data not found handling component here -->
<div *ngIf="(countries$ | async).length <=0" class="loading">
  <mat-spinner diameter="50"></mat-spinner>
</div>